Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.inference.protegeowl.task.protegereasoner
Class UpdateInferredTypesTask

    java.lang.Object
      edu.stanford.smi.protegex.owl.inference.protegeowl.task.protegereasoner.AbstractReasonerTask
          edu.stanford.smi.protegex.owl.inference.protegeowl.task.protegereasoner.UpdateInferredTypesTask

All Implemented Interfaces:
  ReasonerTask

    public class UpdateInferredTypesTask

extends AbstractReasonerTask

Constructor Summary
`UpdateInferredTypesTask(ProtegeReasoner protegeReasoner)`

Method Summary
`int` | `getTaskSize()` Gets the size of the task.
`void` | `run()` Executes the task.

Methods inherited from class edu.stanford.smi.protegex.owl.inference.protegeowl.task.protegereasoner.AbstractReasonerTask
`addTaskListener, doAbortCheck, fireDescriptionChangedEvent, fireMessageChangedEvent, fireProgressChangedEvent, fireProgressIndeterminateChnaged, fireTaskCompletedEvent, fireTaskFailedEvent, getDescription, getMessage, getProgress, isProgressIndeterminate, isRequestAbort, postLogRecord, removeTaskListener, setDescription, setMessage, setProgress, setProgressIndeterminate, setRequestAbort, setTaskCompleted, setTaskFailed`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UpdateInferredTypesTask

    public UpdateInferredTypesTask(ProtegeReasoner protegeReasoner)

Method Detail

### getTaskSize

    public int getTaskSize()

  Gets the size of the task. When the progress reaches this size, the task should be complete.

### run

    public void run()
             throws ProtegeReasonerException

  Executes the task.

  Throws:
    `DIGReasonerException`
    `ProtegeReasonerException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2012 Stanford University.